Module jdk.sctp
Package com.sun.nio.sctp

# Class IllegalUnbindException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
com.sun.nio.sctp.IllegalUnbindException

All Implemented Interfaces:
  `Serializable`

public class IllegalUnbindException extends IllegalStateException
Unchecked exception thrown when an attempt is made to remove an address that is not bound to the channel, or remove an address from a channel that has only one address bound to it.

Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalUnbindException()`
Constructs an instance of this class.
`IllegalUnbindException(String msg)`
Constructs an instance of this class with the specified detailed message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalUnbindException

public IllegalUnbindException()
Constructs an instance of this class.

### IllegalUnbindException

public IllegalUnbindException(String msg)
Constructs an instance of this class with the specified detailed message.

Parameters:
  `msg` - The String that contains a detailed message